import { Component, Input, NgModule } from '@angular/core';
import { findAll } from 'highlight-words-core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxHighlightWordsComponent {
    constructor() {
        this.searchWords = [];
        this.highlightClassName = 'highlight';
    }
    /**
     * @return {?}
     */
    get chunks() {
        return findAll({
            textToHighlight: this.textToHighlight,
            searchWords: this.searchWords,
            autoEscape: this.autoEscape,
            caseSensitive: this.caseSensitive,
            findChunks: this.findChunks,
            sanitize: this.sanitize
        });
    }
}
NgxHighlightWordsComponent.decorators = [
    { type: Component, args: [{
                selector: 'ngx-highlight-words',
                template: "<span\n  [ngClass]=\"chunk.highlight && highlightClassName\"\n  *ngFor=\"let chunk of chunks\">{{ textToHighlight.substr(chunk.start, chunk.end - chunk.start) }}</span>\n",
                styles: ['.highlight { background-color: yellow }']
            }] }
];
NgxHighlightWordsComponent.propDecorators = {
    textToHighlight: [{ type: Input }],
    searchWords: [{ type: Input }],
    highlightClassName: [{ type: Input }],
    autoEscape: [{ type: Input }],
    caseSensitive: [{ type: Input }],
    findChunks: [{ type: Input }],
    sanitize: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxHighlightWordsModule {
}
NgxHighlightWordsModule.decorators = [
    { type: NgModule, args: [{
                declarations: [NgxHighlightWordsComponent],
                imports: [
                    CommonModule
                ],
                exports: [NgxHighlightWordsComponent]
            },] }
];

export { NgxHighlightWordsComponent, NgxHighlightWordsModule };
//# sourceMappingURL=ngx-highlight-words.js.map
